Skip to main content
`Ctrl`+`K`

# DMSwarmCellDMGetBlockSize

Returns the total blocksize for the `DM` fields

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCellDMGetBlockSize(DMSwarmCellDM celldm, DM sw, PetscInt *bs)

Not Collective

## Input Parameters

- celldm - The `DMSwarmCellDM` object

- sw - The `DMSwarm` object

## Output Parameter

- bs - The total block size

## See Also

`DMSwarmCellDM`, `DM`, `DMSwarmSetCellDM()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages